Speechbase

Create a voice

Creates a new voice for the authenticated organization. Optionally links a pre-uploaded media file via mediaId for voice cloning.

POST
/v1/voices

Creates a new voice for the authenticated organization. Optionally links a pre-uploaded media file via mediaId for voice cloning.

Authorization

bearerAuth
AuthorizationBearer <token>

API key

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/problem+json

application/problem+json

curl -X POST "https://example.com/v1/voices" \  -H "Authorization: Bearer $SPEECHBASE_API_KEY" \  -H "Content-Type: application/json" \  -d '{  "title": "string",  "provider": "string",  "model": "string"}'
{
  "data": {
    "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08",
    "org_id": "string",
    "title": "string",
    "provider": "string",
    "model": "string",
    "voice_id": "string",
    "tags": [
      "string"
    ],
    "gender": "string",
    "description": "string",
    "provider_options": {
      "property1": null,
      "property2": null
    },
    "created_at": "string",
    "updated_at": "string"
  }
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}
{
  "type": "string",
  "title": "string",
  "status": 0,
  "detail": "string"
}